NAME Eth Plant
NAM2 a G'Quan Eth plant
ICON items/s_eth.tga
GFXP items/l_eth.tga
FLAG life unique
DIST cold warm hot
TEXT  A rare plant used for religious purposes and is indigenous only to Narn.  It is difficult to grow, transport and sustain.
COST 86 lifeforms
TYPE other